ListDefinitionsAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ListDefinitionsAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class ListDefinitionsAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ListDefinitionsAction

    public class ListDefinitionsAction

extends org.apache.struts.tiles.actions.TilesAction

List all alert definitions for this entity

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ListDefinitionsAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve this data and store it in request attributes.

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDefinitionsAction

    public ListDefinitionsAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                          org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Retrieve this data and store it in request attributes.

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.